Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
firmware::UpdateStatus Struct Reference

Firmware update status More...

## Public Attributes
string | state
| Current state of firmware update: NONE, INIT, PREP, SIMULATE, UPDATE, SUCCESS or FAIL.
int | elapsed
| Seconds since start of update, 0 if not available.
int | estimated
| Estimated total time for update, 0 if not available.
string | error_message
| Error message; empty if there was no error.

## Detailed Description

Firmware update status

The documentation for this struct was generated from the following file:

- FirmwareUpdateStatus.idl